local ____lualib = require("lualib_bundle")
local __TS__Class = ____lualib.__TS__Class
local __TS__ClassExtends = ____lualib.__TS__ClassExtends
local ____exports = {}
local ____ISCFeature = require("enums.ISCFeature")
local ISCFeature = ____ISCFeature.ISCFeature
local ____shouldFire = require("shouldFire")
local shouldFireCollectibleType = ____shouldFire.shouldFireCollectibleType
local ____CustomCallback = require("classes.private.CustomCallback")
local CustomCallback = ____CustomCallback.CustomCallback
____exports.PostPlayerCollectibleRemoved = __TS__Class()
local PostPlayerCollectibleRemoved = ____exports.PostPlayerCollectibleRemoved
PostPlayerCollectibleRemoved.name = "PostPlayerCollectibleRemoved"
__TS__ClassExtends(PostPlayerCollectibleRemoved, CustomCallback)
function PostPlayerCollectibleRemoved.prototype.____constructor(self)
    CustomCallback.prototype.____constructor(self)
    self.shouldFire = shouldFireCollectibleType
    self.featuresUsed = {ISCFeature.PLAYER_COLLECTIBLE_DETECTION}
end
return ____exports
